import { Bridge, GlobalDefinitionInterface } from '../../../runtime-core-types';
export declare abstract class AbstractDefinition implements GlobalDefinitionInterface {
    protected bridge: Bridge;
    define(bridge: Bridge, global: any, options?: Record<string, any>): void;
    private defineGlobals;
    protected abstract definePreBootstrap(global: any, options?: Record<string, any>): void;
    protected abstract definePostBootstrap(global: any, options?: Record<string, any>): void;
}
//# sourceMappingURL=abstract-definition.d.ts.map