import type { Reference } from 'isolated-vm';
import type { ValidApiMethodsType, Bridge, BridgeArg } from "../../runtime-core-types";
export declare class ActiveBridge implements Bridge {
    private dispatch;
    private ivm;
    constructor(dispatch: any, ivm: any);
    private externalCopy;
    call(fn: ValidApiMethodsType, ...args: BridgeArg[]): Promise<any>;
    callIgnored(fn: ValidApiMethodsType, ...args: BridgeArg[]): Promise<any>;
    callSync(fn: ValidApiMethodsType, ...args: BridgeArg[]): any;
    apply(receiver: Reference<any>, fn: string, args: BridgeArg[]): Promise<any>;
    applySync(receiver: Reference<any>, fn: string, args: BridgeArg[]): any;
    applyIgnored(receiver: Reference<any>, ...args: BridgeArg[]): Promise<any>;
    private wrap;
    private wrapFunction;
    private wrapValue;
    private wrapArray;
}
//# sourceMappingURL=active-bridge.d.ts.map