"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bridge_1 = require("../../bridge");
class AbstractDefinition {
    define(bridge, global, options) {
        this.bridge = bridge;
        this.defineGlobals(global, options);
    }
    defineGlobals(global, options) {
        if (this.bridge instanceof bridge_1.ActiveBridge) {
            return this.definePostBootstrap(global, options);
        }
        this.definePreBootstrap(global, options);
    }
}
exports.AbstractDefinition = AbstractDefinition;
